@import url('https://fonts.googleapis.com/css?family=Niconne&display=swap');
@import url('https://fonts.googleapis.com/css?family=Teko:300,400&display=swap');

a{
    color: #fff !important;
}

p{
    margin: 0;
}

section{
    padding: 60px 0;
}

/*Header*/
header{
    width: 100%;
    height: 100vh;
    background: linear-gradient(rgba(16,29,44,0.55), rgba(16, 29, 44, 0.95)),
                url("images/bogacs/bg-cover.jpg") center no-repeat;
    background-size: cover;
    position: relative;
}


header > .container{
    position: relative;
    height: 100%;
    padding: 0;
}

.navbar-brand{
    position: absolute;
    width: 100%;
    max-width: 100px;
    top: 10px;
    left: 50%;
    transform: translate(-50%);
    transition: opacity 650ms;
}

.navbar-brand:hover{
    opacity: 0.75;
}

.hamburger-menu{
    position: fixed;
    top: 25px;
    right: 15px;
    width: 50px;
    height: 50px;
    display: flex;
    background-color: #101D2C;
    border-radius: 4px;
    cursor: pointer;
    z-index: 999;
}

.hamburger-menu i{
    font-size: 30px;
    color: rgba(198, 153, 99, .7);
    margin: auto;
}

.hamburger-menu .fa-times{
    display: none;
}

.hamburger-menu .fa-times.open{
    display: block;
}


.hamburger-menu .fa-bars.open{
    display: none;
}

.nav-list{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    list-style: none;
    background-color: #101D2C;
    z-index: 900;
    display: flex;
    flex-direction: column;
    justify-content: center;
    opacity: 0;
    transform: scale(0);
    transition: opacity 650ms;
}

.nav-list.open{
    opacity: 1;
    transform: scale(1);
    transition: opacity 650ms;
}


.hero-text img{
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 270px;
  height: 120px;
}

.hero-text{
    position: absolute;
    top: 55%;
    left: 50%;
    transform: translate(-50%, -45%);
    text-align: center;
}

.hero-text h1{
    font-family: "Niconne", cursive;
    color: #C69963;
}
.btn{
    width: 100px;
    padding:  5px 0 !important;
    border: 1px solid #C69963;
    position: relative;
    overflow: hidden;
}

.btn::before{
    content: "";
    position: absolute;
    top: 0;
    left: -100%;
    width: 100%;
    height: 100%;
    background: linear-gradient(100deg, transparent, rgba(255, 255, 255, .2), transparent);
    transition: all 650ms;
}

.btn:hover::before{
    left: 100%;
}

/*About*/
.section-heading h4{
    text-transform: uppercase;
    color: #101D2C;
    line-height: 0;
    font-family: 'Teko', sans-serif;
    font-weight: 300;
    letter-spacing: 1px;
}

.section-heading h1{
    font-family: 'Niconne', cursive;
    color: #C69963;
}

.section-heading p{
    font-size: 14px;
}


.about .btn{
    width: 150px;
    color: #C69963 !important;
    transition: background-color 350ms;
}

.about .btn:hover{
    color: #fff!important;
    background-color: #C69963;
}

/* Gallery */

#gallery h1{
    font-family: 'Niconne', cursive;
    color: #C69963;
}

.row.no-gutters [class*=col-]{
    padding-left: 0;
    padding-right: 0;
}

.img-wrapper{
    overflow: hidden;
}

.img-wrapper img{
    transition: transform 0.5s ease;
}

.img-wrapper img:hover{
    transform: scale(1.5);
    cursor: zoom-in;
}

.img-wrapper img{
    width: 100%;
    height: auto;
}

.container-fluid{
    padding-left: 0px;
    padding-right: 0px;
}


/*Footer*/

.contact {
    background-color: #101D2C;
}

.shop-info i {
    color: #C69963;
    font-size: 50px;
}

.shop-info h1 {
    font-family: 'Teko', sans-serif;
    font-size: 25px;
    font-weight: 300;
    text-transform: uppercase;
}

.shop-info p,
.shop-info address {
    color: rgba(255, 255, 255, 0.5);
}

hr {
    border-top: 1px solid rgba(255, 255, 255, 0.05);
}

/*Menu*/

.point-right,
.point-left{
    position: relative;
    background-color: #fff;
    display: flex;
}

.point-right::before,
.point-left::before{
    content: "";
    position: absolute;
    width: 25px;
    height: 25px;
    background-color: inherit;
    top: -12px;
    left: 50%;
    transform: translateX(-50%) rotate(45deg);
    z-index: 1;
}

.menu-item-desc {
    padding: 50px 10px;
    color: #212529;
    margin: auto;
}

.menu-item-desc h6 {
    color: #C69963;
    font-size: 20px;
}

.menu-item-desc h1 {
    color: #101D2C;
    font-size: 30px;
    letter-spacing: 1px;
    font-family: 'Teko', sans-serif;
    font-weight: 300;

}

/*Chefs*/
.card-body h1{
    font-size: 25px;
    letter-spacing: 1px;
    font-family: 'Teko', sans-serif;
    font-weight: 300;
}

.card-body h6{
    font-size: 16px;
    color: #C69963;
}

footer{
    background-color: #101D2C;
    color: rgba(255, 255, 255, 0.5);
}

#sep{
    height: 25px;
    background-color: #101D2C;
    color: rgba(255, 255, 255, 0.5);
}

/* References */

#about-us .carousel-indicators{
    position: static;
    padding-top: 30px;
}

#about-us .carousel-indicators li{
    background-color: black;
    width: 12px;
    height: 12px;
    margin-left: 5px;
}

.carousel-control-prev-icon{
    background-image: url(..//modernbootsite/images/left-arrow.svg);
    padding: 25px;
}

.carousel-control-next-icon{
    background-image: url(..//modernbootsite/images/right-arrow.svg);
    padding: 25px;
}

#about-us .carousel-control-prev,
#about-us .carousel-control-next{
    width: auto;
}


#about-us .carousel-control-prev{
    margin-left: -35px;
}

#about-us .carousel-control-next{
    margin-right: -35px;
}

@media (max-height: 450px) {

    .hero-text{
        display: none;
    }
}

@media (min-width: 576px) {
    .navbar-brand{
        max-width: 150px;
    }
    
    .hero-text img{
      width: 270px;
      height: 120px;
    }

    .hamburger-menu{
        top: 35px;
        right: 25px;
    }


    .point-right::before,
    .point-left::before{
        display: none;
    }

    .menu-item-desc{
        padding: 50px 20px;
    }

}

@media (min-width: 768px) {


    .btn{
        width: 180px;
    }
    
    .hero-text img{
      width: 540px;
      height: 240px;
    }

}

@media (min-width: 992px) {
    header > container{
        padding: 0 15px;
    }

    .hamburger-menu{
        display: none;
    }
    
    .hero-text img{
      width: 540px;
      height: 240px;
    }

    .navbar-brand{
        position: initial;
        margin-top: 15px;
    }

    .nav-list{
        position: initial;
        width: initial;
        height: initial;
        background-color: initial;
        flex-direction: row;
        opacity: initial;
        transform: initial;
        margin: 0;
        padding: 0;
    }

    .nav-item{
        margin: 0 30px;
    }

    .nav-item:last-child{
        margin-left: 0;
    }

    .nav-link{
        position: relative;
        padding: 0;
    }

    .nav-link::before{
        content: "";
        position: absolute;;
        left: 0;
        bottom: -3px;
        background-color: #C69963;
        width: 100%;
        height: 2px;
        transform: scaleX(0);
        transform-origin: center;
        transition: transform 350ms;
    }

    .nav-link:hover::before{
        transform: scaleX(1);
    }

}

@media (min-width: 1200px) {
    .point-right::before,
    .point-left::before{
        display: block;
        top: 50%;
        left: initial;
        transform: translate(0, -50%) rotate(45deg);
    }

    .hero-text img{
      width: 540px;
      height: 240px;
    }

    .point-left::before{
        left: -12px;
    }
    .point-right::before{
        right: -12px;
    }

    .menu-item-desc p{
        display: none;
    }

    .menu-item-desc .btn {
        color: #fff !important;
        background-color: #C69963;
    }

}